
cc.Class({
    extends: cc.Component,

    properties: {
        worldScene: {
            // ATTRIBUTES:
            default: null,
        },
        isCollider:{
            default:false
        }
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start() {

    },

    //设置对象
    onSetWorldSceneObj(obj) {
        this.worldScene = obj;
    },
    // update (dt) {},

    /**
 * 当碰撞产生的时候调用
 * @param  {Collider} other 产生碰撞的另一个碰撞组件
 * @param  {Collider} self  产生碰撞的自身的碰撞组件
 */
    onCollisionEnter: function (other, self) {
        // console.log('on collision enter', other.tag);

        if(this.isCollider)return;

        switch (other.tag) {
            case 0:
                // 加速带blue部分的tag 值
                this.worldScene.onChangeSpeed(20);
                this.isCollider = true;
                break;

            case 1:
                // 加速带yellow部分的tag 值
                this.worldScene.onChangeSpeed(50);
                this.isCollider = true;
                break;
        }

    },
});
